<?php
require_once("../adodb/adodb.inc.php");
require_once('../Amfphp/Services/conexao.php');
require_once('../Amfphp/Services/funcoes.php');
require_once('../Amfphp/Services/PHPMailer_v5.1/class.phpmailer.php');

function enviar_email($acesso_idempresa, $acesso_idusuario, $para, $assunto, $mensagem){
	$con = new conexao();
	$sql="select * from usuario where idempresa='$acesso_idempresa' and idusuario='$acesso_idusuario'";
	$resultado = $con->banco->Execute($sql);
	$registro = $resultado->FetchNextObject();
	$smtp_host  = $registro->EMAIL_SERVIDOR;
	$smtp_port  = $registro->EMAIL_PORTA;
	$smtp_email = $registro->EMAIL_CONTA;
	$smtp_senha = $registro->EMAIL_SENHA;
	$smtp_ssl   = $registro->EMAIL_SSL;

	if ($smtp_host == "" || $smtp_port == "" ||  $smtp_email == ""|| $smtp_senha == ""){
		return 0;
	} else {
		$mailer = new PHPMailer();
		$mailer->IsSMTP();
		$mailer->SMTPDebug = 1;
		$mailer->IsHTML(true);
		$mailer->Port = "$smtp_port"; 
		$mailer->Host = "$smtp_host";
		$mailer->SMTPAuth = true; //define se haverá ou não autenticação no SMTP
		if ($smtp_ssl == "Sim"){
			$mailer->SMTPSecure = "ssl";   // Utilizado pelo gmail
		}				
		$mailer->Username = "$smtp_email"; //Informe o e-mai o completo
		$mailer->Password = "$smtp_senha"; //Senha da caixa postal
		$mailer->FromName = $assunto; //Nome que será exibido para o destinatário
		$mailer->From = "$smtp_email"; //Obrigatório ser a mesma caixa postal indicada em "username"
		$mailer->AddAddress($para); //Destinatários
		$mailer->Subject = utf8_decode($assunto);  
		$mailer->Body = $mensagem;
		$mailer->Send();
	}
}

	function atualizaEmpresa($idempresa, $login, $validoate){
		$con = new conexao();
		if ($idempresa == "1"){ // Somente a empresa principal do painel
			$tmp = substr($login,0,3);
			if ($tmp == "emp"){
				$idempresa = substr($login,3,10);
				$sql = "update empresa set validoate = '$validoate' where idempresa='$idempresa'";
				$con->banco->Execute($sql);
			}
		}
	}
?>